List BGP Prefixes
GET/accounts/{account_id}/addressing/prefixes/{prefix_id}/bgp/prefixes
List all BGP Prefixes within the specified IP Prefix. BGP Prefixes are used to control which specific subnets are advertised to the Internet. It is possible to advertise subnets more specific than an IP Prefix by creating more specific BGP Prefixes.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
List BGP Prefixes
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/addressing/prefixes/$PREFIX_ID/bgp/prefixes \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"id": "7009ba364c7a5760798ceb430e603b74",
"asn": 13335,
"asn_prepend_count": 2,
"auto_advertise_withdraw": true,
"bgp_signal_opts": {
"enabled": false,
"modified_at": "2014-01-01T05:20:00.12345Z"
},
"cidr": "192.0.2.0/24",
"created_at": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"on_demand": {
"advertised": true,
"advertised_modified_at": "2014-01-01T05:20:00.12345Z",
"on_demand_enabled": true,
"on_demand_locked": false
}
}
]
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"id": "7009ba364c7a5760798ceb430e603b74",
"asn": 13335,
"asn_prepend_count": 2,
"auto_advertise_withdraw": true,
"bgp_signal_opts": {
"enabled": false,
"modified_at": "2014-01-01T05:20:00.12345Z"
},
"cidr": "192.0.2.0/24",
"created_at": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"on_demand": {
"advertised": true,
"advertised_modified_at": "2014-01-01T05:20:00.12345Z",
"on_demand_enabled": true,
"on_demand_locked": false
}
}
]
}